## Contents

- Methods

class solace.SDTMapContainer

Defines a Structured Data Type (SDT) map container.

## Constructor Top

| SDTMapContainer ( ) |  |

## Methods Top

void | addField ( String key, solace.SDTField | solace.SDTFieldType typeOrField, * value ) |
void | deleteField ( String key ) |
solace.SDTField | getField ( String key ) |
Array.<String> | getKeys ( ) |

## Constructor details Top

###
SDTMapContainer ( )

Defines a Structured Data Type (SDT) map container.

## Methods Detail Top

###
public void addField ( String key, solace.SDTField | solace.SDTFieldType typeOrField, * value )

Adds a field to this map. If a key:value mapping already exists for this key, it is replaced.

Deprecated: If `typeOrField` is a solace.SDTField instance, it is added to the map. The preferred usage is to pass a solace.SDTFieldType, then the API will create a SDTField of this type using `value` before adding it to the map.

#### Parameters

String | key The key by which to store the given value.
solace.SDTField | solace.SDTFieldType | typeOrField A SDTField instance or SDTFieldType.
* | value The value to wrap as an SDTField. (Optional)

#### Return Value

void |

#### Throws

solace.OperationError | if value does not match type
solace.SDTUnsupportedValueError | if value is not in range supported by the platform/runtime

###
public void deleteField ( String key )

Delete an SDTField with the given key.

#### Parameters

String | key The field key to delete.

#### Return Value

void |

###
public solace.SDTField getField ( String key )

Return the SDTField with the given key.

#### Parameters

String | key The key to look up.

#### Return Value

solace.SDTField | The field referenced by key.

###
public Array.<String> getKeys ( )

Get the list of keys in this map, in unspecified order.

#### Return Value

Array.<String> | Array of defined keys in the map.